Update an Individual Collection
curl --request PUT \
--url https://api.virtuoussoftware.com/api/ContactIndividual/{contactIndividualId}/Collection/{customCollectionId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"fields": [
{
"name": "<string>",
"value": "<string>"
},
{
"name": "<string>",
"value": "<string>"
}
]
}
'const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
fields: [{name: '<string>', value: '<string>'}, {name: '<string>', value: '<string>'}]
})
};
fetch('https://api.virtuoussoftware.com/api/ContactIndividual/{contactIndividualId}/Collection/{customCollectionId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.virtuoussoftware.com/api/ContactIndividual/{contactIndividualId}/Collection/{customCollectionId}"
payload = { "fields": [
{
"name": "<string>",
"value": "<string>"
},
{
"name": "<string>",
"value": "<string>"
}
] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)using RestSharp;
var options = new RestClientOptions("https://api.virtuoussoftware.com/api/ContactIndividual/{contactIndividualId}/Collection/{customCollectionId}");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "Bearer <token>");
request.AddJsonBody("{\n \"fields\": [\n {\n \"name\": \"<string>\",\n \"value\": \"<string>\"\n },\n {\n \"name\": \"<string>\",\n \"value\": \"<string>\"\n }\n ]\n}", false);
var response = await client.PutAsync(request);
Console.WriteLine("{0}", response.Content);

const url = 'https://api.virtuoussoftware.com/api/ContactIndividual/{contactIndividualId}/Collection/{customCollectionId}';
const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
fields: [{name: '<string>', value: '<string>'}, {name: '<string>', value: '<string>'}]
})
};
fetch(url, options)
.then(res => res.json())
.then(json => console.log(json))
.catch(err => console.error(err));{
"customCollectionId": "<integer>",
"customCollectionName": "<string>",
"collectionInstanceId": "<integer>",
"fields": [
{
"name": "<string>",
"value": "<string>"
},
{
"name": "<string>",
"value": "<string>"
}
]
}{
"message": "Authorization has been denied for this request."
}{
"message": "You do not have permission to perform this action."
}{
"message": "Rate limit exceeded. Try again later."
}Working with Collections
Update an Individual Collection
PUT
/
api
/
ContactIndividual
/
{contactIndividualId}
/
Collection
/
{customCollectionId}
Update an Individual Collection
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
(Required) The contact individual identifier.
(Required) The custom collection identifier.
Body
application/json
Show child attributes
Show child attributes
Last modified on July 24, 2026
Was this page helpful?
⌘I